package appletview;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class AppletLink extends JLabel{
	    private String url;
		private JTextArea errorPanel;

		public void launchApplet(String url){
	        try {   
	        	String call = "appletviewer -J-Djava.security.policy=applet.policy "+url;
	        	errorPanel.append("$ "+call+"\n");
	        	errorPanel.update(errorPanel.getGraphics());
	        	System.out.println(call);
	            Process p = Runtime.getRuntime().exec(call);
	            BufferedReader in = new BufferedReader(
	            new InputStreamReader(p.getInputStream()));
	            String line = null;
	            while ((line = in.readLine()) != null) {
	            	errorPanel.append(line+"\n");
	            	System.out.println(line);
	            }
	 
	            InputStream error = p.getErrorStream();
	            for (int i = 0; i < error.available(); i++) {
	               line = ""+error.read();
	               errorPanel.append(line+"\n");
	               System.out.println(line);
	            }


	        } catch (IOException e) {
	            e.printStackTrace();
	        }
			
		}
	  
	  public AppletLink(String url, JTextArea errorPanel){
		  super("<html><span style=\"color: #000099;\"><u>"+url+"</u></span></html>");
		  this.errorPanel = errorPanel;
		  this.url=url;
		  setFont(new Font("Serif", Font.PLAIN, 18));
		  addMouseListener(new MouseAdapter() {
		      public void mouseClicked(MouseEvent e) {
		        launchApplet(url);
		      }
	      });

	  }
	
	
}
