package appletview;
import javax.swing.*;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.select.Elements;

import java.awt.*;
import java.io.IOException;

public class AppletViewFrame extends JFrame {
	private JTextArea errorPanel;

	
	public AppletViewFrame(String s){
		super(s);
        setLayout(new BorderLayout());
        errorPanel = new JTextArea(5, 3);
        errorPanel.setBackground(Color.WHITE);
        errorPanel.setEditable(false);
        try{
          Document doc = Jsoup.connect("http://www.cs.tulane.edu/~carola/teaching/cmps3130-6130/spring17/javademos.html").get();
          Elements links = doc.select("body a");
  	      URLPanel panel = new URLPanel(links,errorPanel);
  	      add(panel,"North"); 
        } catch (IOException e){
        	System.out.println(e);
        }

	    
        add(new JScrollPane(errorPanel),"South");
        //errorPanel.append("Console:\n");

	}

}
